petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCHMGSetReuseInterpolation

Reuse interpolation matrices in HMG

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHMGSetReuseInterpolation(PC pc, PetscBool reuse)

Logically Collective on PC

### Input Parameters

| pc | - the HMG context
| reuse | - True indicates that HMG will reuse the interpolations

### Options Database Keys

-pc_hmg_reuse_interpolation <true | false> -Whether or not to reuse the interpolations. If true, it potentially save the compute time.

### Keywords

HMG, multigrid, interpolation, reuse, set

### See Also

PCHMG

### Level

beginner

### Location

src/ksp/pc/impls/hmg/hmg.c

### Examples

src/ksp/ksp/examples/tutorials/ex4.c.html

### Implementations

PCHMGSetReuseInterpolation_HMG in src/ksp/pc/impls/hmg/hmg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages